跳轉到主要內容
GET
/
v1
/
projects
/
{projectId}
/
test-cases
列出測試案例
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/test-cases \
  --header 'Authorization: <authorization>'
{
  "data": [
    {}
  ]
}

請求

GET https://api.pathors.com/v1/projects/{projectId}/test-cases

路徑參數

projectId
string
必填
專案 ID

標頭

Authorization
string
必填
使用您的 Developer Key 進行 Bearer 令牌認證

回應

data
array
測試案例物件的陣列,包含 idnamesystemPromptmaxTurnsvariablesacceptanceCriteria

範例

curl https://api.pathors.com/v1/projects/{projectId}/test-cases \
  -H "Authorization: Bearer dk_your_key"
{
  "data": [
    {
      "id": "test-case-uuid",
      "projectId": "project-uuid",
      "name": "Greeting flow",
      "systemPrompt": "You are a helpful assistant",
      "maxTurns": 5,
      "variables": {},
      "acceptanceCriteria": [
        {
          "id": "criterion-uuid",
          "testCaseId": "test-case-uuid",
          "description": "Agent should greet the user"
        }
      ],
      "createdAt": "2026-03-23T00:00:00.000Z",
      "updatedAt": "2026-03-23T00:00:00.000Z"
    }
  ]
}